<?php //935bc2f201b4fcc2dcfc66b4ef93018e
/** @noinspection all */

namespace LaravelIdea\Helper\App\Models {

    use App\Models\Activation;
    use App\Models\ApiKey;
    use App\Models\DashboardWidget;
    use App\Models\Downloadable;
    use App\Models\DownloadLog;
    use App\Models\Generator;
    use App\Models\LicenseKey;
    use App\Models\Log;
    use App\Models\Meta;
    use App\Models\Product;
    use App\Models\Setting;
    use App\Models\Telemetry;
    use App\Models\User;
    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    
    /**
     * @method Activation|null getOrPut($key, \Closure $value)
     * @method Activation|$this shift(int $count = 1)
     * @method Activation|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Activation|$this pop(int $count = 1)
     * @method Activation|null pull($key, \Closure $default = null)
     * @method Activation|null last(callable $callback = null, \Closure $default = null)
     * @method Activation|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Activation|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Activation|null get($key, \Closure $default = null)
     * @method Activation|null first(callable $callback = null, \Closure $default = null)
     * @method Activation|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Activation|null find($key, $default = null)
     * @method Activation[] all()
     */
    class _IH_Activation_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Activation[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Activation_QB whereId($value)
     * @method _IH_Activation_QB whereLicenseKeyId($value)
     * @method _IH_Activation_QB whereIpAddress($value)
     * @method _IH_Activation_QB whereIdentifier($value)
     * @method _IH_Activation_QB wherePostUrl($value)
     * @method _IH_Activation_QB whereActivationDate($value)
     * @method _IH_Activation_QB whereActivationCounter($value)
     * @method _IH_Activation_QB whereDeactivationCounter($value)
     * @method _IH_Activation_QB whereStatus($value)
     * @method _IH_Activation_QB whereCreatedAt($value)
     * @method _IH_Activation_QB whereUpdatedAt($value)
     * @method Activation baseSole(array|string $columns = ['*'])
     * @method Activation create(array $attributes = [])
     * @method Activation createOrFirst(array $attributes = [], array $values = [])
     * @method Activation createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Activation_C|Activation[] cursor()
     * @method Activation|null|_IH_Activation_C|Activation[] find($id, array|string $columns = ['*'])
     * @method _IH_Activation_C|Activation[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Activation|_IH_Activation_C|Activation[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Activation|_IH_Activation_C|Activation[] findOrFail($id, array|string $columns = ['*'])
     * @method Activation|_IH_Activation_C|Activation[] findOrNew($id, array|string $columns = ['*'])
     * @method Activation first(array|string $columns = ['*'])
     * @method Activation firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Activation firstOrCreate(array $attributes = [], array $values = [])
     * @method Activation firstOrFail(array|string $columns = ['*'])
     * @method Activation firstOrNew(array $attributes = [], array $values = [])
     * @method Activation firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Activation forceCreate(array $attributes)
     * @method Activation forceCreateQuietly(array $attributes = [])
     * @method _IH_Activation_C|Activation[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Activation_C|Activation[] get(array|string $columns = ['*'])
     * @method Activation getModel()
     * @method Activation[] getModels(array|string $columns = ['*'])
     * @method _IH_Activation_C|Activation[] hydrate(array $items)
     * @method _IH_Activation_C|Activation[] lazy(int $chunkSize = 1000)
     * @method _IH_Activation_C|Activation[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Activation_C|Activation[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Activation make(array $attributes = [])
     * @method Activation newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Activation[]|_IH_Activation_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Activation restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Activation[]|_IH_Activation_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Activation sole(array|string $columns = ['*'])
     * @method Activation updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Activation_QB extends _BaseBuilder {}
    
    /**
     * @method ApiKey|null getOrPut($key, \Closure $value)
     * @method ApiKey|$this shift(int $count = 1)
     * @method ApiKey|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ApiKey|$this pop(int $count = 1)
     * @method ApiKey|null pull($key, \Closure $default = null)
     * @method ApiKey|null last(callable $callback = null, \Closure $default = null)
     * @method ApiKey|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ApiKey|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ApiKey|null get($key, \Closure $default = null)
     * @method ApiKey|null first(callable $callback = null, \Closure $default = null)
     * @method ApiKey|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ApiKey|null find($key, $default = null)
     * @method ApiKey[] all()
     */
    class _IH_ApiKey_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ApiKey[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ApiKey_QB whereId($value)
     * @method _IH_ApiKey_QB whereApiKey($value)
     * @method _IH_ApiKey_QB whereDescription($value)
     * @method _IH_ApiKey_QB whereIpAddress($value)
     * @method _IH_ApiKey_QB whereIsActive($value)
     * @method _IH_ApiKey_QB whereCanVerify($value)
     * @method _IH_ApiKey_QB whereCanActivate($value)
     * @method _IH_ApiKey_QB whereCanDeactivate($value)
     * @method _IH_ApiKey_QB whereCanGetLicenseKeyDetails($value)
     * @method _IH_ApiKey_QB whereCanAccessDownloadables($value)
     * @method _IH_ApiKey_QB whereCanAssignLicenseKey($value)
     * @method _IH_ApiKey_QB whereCanCreateLicenseKey($value)
     * @method _IH_ApiKey_QB whereCanCreateProduct($value)
     * @method _IH_ApiKey_QB whereCanCreateProductMeta($value)
     * @method _IH_ApiKey_QB whereCanCreateLicenseKeyMeta($value)
     * @method _IH_ApiKey_QB whereCanUpdateLicenseKey($value)
     * @method _IH_ApiKey_QB whereCanUpdateProduct($value)
     * @method _IH_ApiKey_QB whereCanUpdateProductMeta($value)
     * @method _IH_ApiKey_QB whereCanUpdateLicenseKeyMeta($value)
     * @method _IH_ApiKey_QB whereCanDeleteLicenseKey($value)
     * @method _IH_ApiKey_QB whereCanDeleteProduct($value)
     * @method _IH_ApiKey_QB whereCanDeleteProductMeta($value)
     * @method _IH_ApiKey_QB whereCanDeleteLicenseKeyMeta($value)
     * @method _IH_ApiKey_QB whereCanGetAllProducts($value)
     * @method _IH_ApiKey_QB whereCanGetLicenseKeys($value)
     * @method _IH_ApiKey_QB whereCanGetAllGenerators($value)
     * @method _IH_ApiKey_QB whereCanGenerate($value)
     * @method _IH_ApiKey_QB whereCanSendTelemetryData($value)
     * @method _IH_ApiKey_QB whereCanGetTelemetryData($value)
     * @method _IH_ApiKey_QB whereCanAssignAndActivateLicenseKey($value)
     * @method _IH_ApiKey_QB whereCreatedAt($value)
     * @method _IH_ApiKey_QB whereUpdatedAt($value)
     * @method _IH_ApiKey_QB whereCanGetAvailableLicenseKeysCount($value)
     * @method ApiKey baseSole(array|string $columns = ['*'])
     * @method ApiKey create(array $attributes = [])
     * @method ApiKey createOrFirst(array $attributes = [], array $values = [])
     * @method ApiKey createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ApiKey_C|ApiKey[] cursor()
     * @method ApiKey|null|_IH_ApiKey_C|ApiKey[] find($id, array|string $columns = ['*'])
     * @method _IH_ApiKey_C|ApiKey[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ApiKey|_IH_ApiKey_C|ApiKey[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ApiKey|_IH_ApiKey_C|ApiKey[] findOrFail($id, array|string $columns = ['*'])
     * @method ApiKey|_IH_ApiKey_C|ApiKey[] findOrNew($id, array|string $columns = ['*'])
     * @method ApiKey first(array|string $columns = ['*'])
     * @method ApiKey firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ApiKey firstOrCreate(array $attributes = [], array $values = [])
     * @method ApiKey firstOrFail(array|string $columns = ['*'])
     * @method ApiKey firstOrNew(array $attributes = [], array $values = [])
     * @method ApiKey firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ApiKey forceCreate(array $attributes)
     * @method ApiKey forceCreateQuietly(array $attributes = [])
     * @method _IH_ApiKey_C|ApiKey[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ApiKey_C|ApiKey[] get(array|string $columns = ['*'])
     * @method ApiKey getModel()
     * @method ApiKey[] getModels(array|string $columns = ['*'])
     * @method _IH_ApiKey_C|ApiKey[] hydrate(array $items)
     * @method _IH_ApiKey_C|ApiKey[] lazy(int $chunkSize = 1000)
     * @method _IH_ApiKey_C|ApiKey[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ApiKey_C|ApiKey[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ApiKey make(array $attributes = [])
     * @method ApiKey newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ApiKey[]|_IH_ApiKey_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ApiKey restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ApiKey[]|_IH_ApiKey_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ApiKey sole(array|string $columns = ['*'])
     * @method ApiKey updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ApiKey_QB extends _BaseBuilder {}
    
    /**
     * @method DashboardWidget|null getOrPut($key, \Closure $value)
     * @method DashboardWidget|$this shift(int $count = 1)
     * @method DashboardWidget|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DashboardWidget|$this pop(int $count = 1)
     * @method DashboardWidget|null pull($key, \Closure $default = null)
     * @method DashboardWidget|null last(callable $callback = null, \Closure $default = null)
     * @method DashboardWidget|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method DashboardWidget|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DashboardWidget|null get($key, \Closure $default = null)
     * @method DashboardWidget|null first(callable $callback = null, \Closure $default = null)
     * @method DashboardWidget|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DashboardWidget|null find($key, $default = null)
     * @method DashboardWidget[] all()
     */
    class _IH_DashboardWidget_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DashboardWidget[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DashboardWidget_QB whereId($value)
     * @method _IH_DashboardWidget_QB whereName($value)
     * @method _IH_DashboardWidget_QB whereProductId($value)
     * @method _IH_DashboardWidget_QB whereDataGroup($value)
     * @method _IH_DashboardWidget_QB whereChartType($value)
     * @method _IH_DashboardWidget_QB whereXAxis($value)
     * @method _IH_DashboardWidget_QB whereYAxis($value)
     * @method _IH_DashboardWidget_QB whereIsCorrectFormat($value)
     * @method _IH_DashboardWidget_QB whereLicenseKeyExists($value)
     * @method _IH_DashboardWidget_QB whereProductExists($value)
     * @method _IH_DashboardWidget_QB whereProductVersionExists($value)
     * @method _IH_DashboardWidget_QB whereConjunctionType($value)
     * @method _IH_DashboardWidget_QB whereCreatedAt($value)
     * @method _IH_DashboardWidget_QB whereUpdatedAt($value)
     * @method DashboardWidget baseSole(array|string $columns = ['*'])
     * @method DashboardWidget create(array $attributes = [])
     * @method DashboardWidget createOrFirst(array $attributes = [], array $values = [])
     * @method DashboardWidget createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_DashboardWidget_C|DashboardWidget[] cursor()
     * @method DashboardWidget|null|_IH_DashboardWidget_C|DashboardWidget[] find($id, array|string $columns = ['*'])
     * @method _IH_DashboardWidget_C|DashboardWidget[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DashboardWidget|_IH_DashboardWidget_C|DashboardWidget[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DashboardWidget|_IH_DashboardWidget_C|DashboardWidget[] findOrFail($id, array|string $columns = ['*'])
     * @method DashboardWidget|_IH_DashboardWidget_C|DashboardWidget[] findOrNew($id, array|string $columns = ['*'])
     * @method DashboardWidget first(array|string $columns = ['*'])
     * @method DashboardWidget firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DashboardWidget firstOrCreate(array $attributes = [], array $values = [])
     * @method DashboardWidget firstOrFail(array|string $columns = ['*'])
     * @method DashboardWidget firstOrNew(array $attributes = [], array $values = [])
     * @method DashboardWidget firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DashboardWidget forceCreate(array $attributes)
     * @method DashboardWidget forceCreateQuietly(array $attributes = [])
     * @method _IH_DashboardWidget_C|DashboardWidget[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DashboardWidget_C|DashboardWidget[] get(array|string $columns = ['*'])
     * @method DashboardWidget getModel()
     * @method DashboardWidget[] getModels(array|string $columns = ['*'])
     * @method _IH_DashboardWidget_C|DashboardWidget[] hydrate(array $items)
     * @method _IH_DashboardWidget_C|DashboardWidget[] lazy(int $chunkSize = 1000)
     * @method _IH_DashboardWidget_C|DashboardWidget[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DashboardWidget_C|DashboardWidget[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DashboardWidget make(array $attributes = [])
     * @method DashboardWidget newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DashboardWidget[]|_IH_DashboardWidget_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DashboardWidget restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DashboardWidget[]|_IH_DashboardWidget_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DashboardWidget sole(array|string $columns = ['*'])
     * @method DashboardWidget updateOrCreate(array $attributes, array $values = [])
     * @method _IH_DashboardWidget_QB exclude($columns)
     */
    class _IH_DashboardWidget_QB extends _BaseBuilder {}
    
    /**
     * @method DownloadLog|null getOrPut($key, \Closure $value)
     * @method DownloadLog|$this shift(int $count = 1)
     * @method DownloadLog|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DownloadLog|$this pop(int $count = 1)
     * @method DownloadLog|null pull($key, \Closure $default = null)
     * @method DownloadLog|null last(callable $callback = null, \Closure $default = null)
     * @method DownloadLog|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method DownloadLog|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DownloadLog|null get($key, \Closure $default = null)
     * @method DownloadLog|null first(callable $callback = null, \Closure $default = null)
     * @method DownloadLog|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DownloadLog|null find($key, $default = null)
     * @method DownloadLog[] all()
     */
    class _IH_DownloadLog_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DownloadLog[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DownloadLog_QB whereId($value)
     * @method _IH_DownloadLog_QB whereDownloadableId($value)
     * @method _IH_DownloadLog_QB whereIpAddress($value)
     * @method _IH_DownloadLog_QB whereUserAgent($value)
     * @method _IH_DownloadLog_QB whereCreatedAt($value)
     * @method _IH_DownloadLog_QB whereUpdatedAt($value)
     * @method DownloadLog baseSole(array|string $columns = ['*'])
     * @method DownloadLog create(array $attributes = [])
     * @method DownloadLog createOrFirst(array $attributes = [], array $values = [])
     * @method DownloadLog createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_DownloadLog_C|DownloadLog[] cursor()
     * @method DownloadLog|null|_IH_DownloadLog_C|DownloadLog[] find($id, array|string $columns = ['*'])
     * @method _IH_DownloadLog_C|DownloadLog[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DownloadLog|_IH_DownloadLog_C|DownloadLog[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DownloadLog|_IH_DownloadLog_C|DownloadLog[] findOrFail($id, array|string $columns = ['*'])
     * @method DownloadLog|_IH_DownloadLog_C|DownloadLog[] findOrNew($id, array|string $columns = ['*'])
     * @method DownloadLog first(array|string $columns = ['*'])
     * @method DownloadLog firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DownloadLog firstOrCreate(array $attributes = [], array $values = [])
     * @method DownloadLog firstOrFail(array|string $columns = ['*'])
     * @method DownloadLog firstOrNew(array $attributes = [], array $values = [])
     * @method DownloadLog firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DownloadLog forceCreate(array $attributes)
     * @method DownloadLog forceCreateQuietly(array $attributes = [])
     * @method _IH_DownloadLog_C|DownloadLog[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DownloadLog_C|DownloadLog[] get(array|string $columns = ['*'])
     * @method DownloadLog getModel()
     * @method DownloadLog[] getModels(array|string $columns = ['*'])
     * @method _IH_DownloadLog_C|DownloadLog[] hydrate(array $items)
     * @method _IH_DownloadLog_C|DownloadLog[] lazy(int $chunkSize = 1000)
     * @method _IH_DownloadLog_C|DownloadLog[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DownloadLog_C|DownloadLog[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DownloadLog make(array $attributes = [])
     * @method DownloadLog newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DownloadLog[]|_IH_DownloadLog_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DownloadLog restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DownloadLog[]|_IH_DownloadLog_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DownloadLog sole(array|string $columns = ['*'])
     * @method DownloadLog updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DownloadLog_QB extends _BaseBuilder {}
    
    /**
     * @method Downloadable|null getOrPut($key, \Closure $value)
     * @method Downloadable|$this shift(int $count = 1)
     * @method Downloadable|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Downloadable|$this pop(int $count = 1)
     * @method Downloadable|null pull($key, \Closure $default = null)
     * @method Downloadable|null last(callable $callback = null, \Closure $default = null)
     * @method Downloadable|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Downloadable|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Downloadable|null get($key, \Closure $default = null)
     * @method Downloadable|null first(callable $callback = null, \Closure $default = null)
     * @method Downloadable|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Downloadable|null find($key, $default = null)
     * @method Downloadable[] all()
     */
    class _IH_Downloadable_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Downloadable[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Downloadable_QB whereId($value)
     * @method _IH_Downloadable_QB whereProductId($value)
     * @method _IH_Downloadable_QB whereNumericVersion($value)
     * @method _IH_Downloadable_QB whereVersion($value)
     * @method _IH_Downloadable_QB whereUpdateSummary($value)
     * @method _IH_Downloadable_QB whereChangelog($value)
     * @method _IH_Downloadable_QB wherePublished($value)
     * @method _IH_Downloadable_QB whereReleaseDate($value)
     * @method _IH_Downloadable_QB whereAssignedAfter($value)
     * @method _IH_Downloadable_QB whereAssignedBefore($value)
     * @method _IH_Downloadable_QB whereExpiresBefore($value)
     * @method _IH_Downloadable_QB whereAccessibleUntil($value)
     * @method _IH_Downloadable_QB whereDownloadCounter($value)
     * @method _IH_Downloadable_QB whereCreatedAt($value)
     * @method _IH_Downloadable_QB whereUpdatedAt($value)
     * @method Downloadable baseSole(array|string $columns = ['*'])
     * @method Downloadable create(array $attributes = [])
     * @method Downloadable createOrFirst(array $attributes = [], array $values = [])
     * @method Downloadable createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Downloadable_C|Downloadable[] cursor()
     * @method Downloadable|null|_IH_Downloadable_C|Downloadable[] find($id, array|string $columns = ['*'])
     * @method _IH_Downloadable_C|Downloadable[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Downloadable|_IH_Downloadable_C|Downloadable[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Downloadable|_IH_Downloadable_C|Downloadable[] findOrFail($id, array|string $columns = ['*'])
     * @method Downloadable|_IH_Downloadable_C|Downloadable[] findOrNew($id, array|string $columns = ['*'])
     * @method Downloadable first(array|string $columns = ['*'])
     * @method Downloadable firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Downloadable firstOrCreate(array $attributes = [], array $values = [])
     * @method Downloadable firstOrFail(array|string $columns = ['*'])
     * @method Downloadable firstOrNew(array $attributes = [], array $values = [])
     * @method Downloadable firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Downloadable forceCreate(array $attributes)
     * @method Downloadable forceCreateQuietly(array $attributes = [])
     * @method _IH_Downloadable_C|Downloadable[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Downloadable_C|Downloadable[] get(array|string $columns = ['*'])
     * @method Downloadable getModel()
     * @method Downloadable[] getModels(array|string $columns = ['*'])
     * @method _IH_Downloadable_C|Downloadable[] hydrate(array $items)
     * @method _IH_Downloadable_C|Downloadable[] lazy(int $chunkSize = 1000)
     * @method _IH_Downloadable_C|Downloadable[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Downloadable_C|Downloadable[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Downloadable make(array $attributes = [])
     * @method Downloadable newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Downloadable[]|_IH_Downloadable_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Downloadable restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Downloadable[]|_IH_Downloadable_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Downloadable sole(array|string $columns = ['*'])
     * @method Downloadable updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Downloadable_QB exclude($columns)
     */
    class _IH_Downloadable_QB extends _BaseBuilder {}
    
    /**
     * @method Generator|null getOrPut($key, \Closure $value)
     * @method Generator|$this shift(int $count = 1)
     * @method Generator|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Generator|$this pop(int $count = 1)
     * @method Generator|null pull($key, \Closure $default = null)
     * @method Generator|null last(callable $callback = null, \Closure $default = null)
     * @method Generator|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Generator|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Generator|null get($key, \Closure $default = null)
     * @method Generator|null first(callable $callback = null, \Closure $default = null)
     * @method Generator|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Generator|null find($key, $default = null)
     * @method Generator[] all()
     */
    class _IH_Generator_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Generator[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Generator_QB whereId($value)
     * @method _IH_Generator_QB whereProductId($value)
     * @method _IH_Generator_QB whereMethod($value)
     * @method _IH_Generator_QB wherePrefix($value)
     * @method _IH_Generator_QB whereSuffix($value)
     * @method _IH_Generator_QB whereFunctionName($value)
     * @method _IH_Generator_QB whereNumberOfChunks($value)
     * @method _IH_Generator_QB whereChunkLength($value)
     * @method _IH_Generator_QB whereActivationLimit($value)
     * @method _IH_Generator_QB whereValidity($value)
     * @method _IH_Generator_QB whereStatus($value)
     * @method _IH_Generator_QB whereCharset($value)
     * @method _IH_Generator_QB whereCreatedAt($value)
     * @method _IH_Generator_QB whereUpdatedAt($value)
     * @method Generator baseSole(array|string $columns = ['*'])
     * @method Generator create(array $attributes = [])
     * @method Generator createOrFirst(array $attributes = [], array $values = [])
     * @method Generator createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Generator_C|Generator[] cursor()
     * @method Generator|null|_IH_Generator_C|Generator[] find($id, array|string $columns = ['*'])
     * @method _IH_Generator_C|Generator[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Generator|_IH_Generator_C|Generator[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Generator|_IH_Generator_C|Generator[] findOrFail($id, array|string $columns = ['*'])
     * @method Generator|_IH_Generator_C|Generator[] findOrNew($id, array|string $columns = ['*'])
     * @method Generator first(array|string $columns = ['*'])
     * @method Generator firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Generator firstOrCreate(array $attributes = [], array $values = [])
     * @method Generator firstOrFail(array|string $columns = ['*'])
     * @method Generator firstOrNew(array $attributes = [], array $values = [])
     * @method Generator firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Generator forceCreate(array $attributes)
     * @method Generator forceCreateQuietly(array $attributes = [])
     * @method _IH_Generator_C|Generator[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Generator_C|Generator[] get(array|string $columns = ['*'])
     * @method Generator getModel()
     * @method Generator[] getModels(array|string $columns = ['*'])
     * @method _IH_Generator_C|Generator[] hydrate(array $items)
     * @method _IH_Generator_C|Generator[] lazy(int $chunkSize = 1000)
     * @method _IH_Generator_C|Generator[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Generator_C|Generator[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Generator make(array $attributes = [])
     * @method Generator newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Generator[]|_IH_Generator_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Generator restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Generator[]|_IH_Generator_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Generator sole(array|string $columns = ['*'])
     * @method Generator updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Generator_QB extends _BaseBuilder {}
    
    /**
     * @method LicenseKey|null getOrPut($key, \Closure $value)
     * @method LicenseKey|$this shift(int $count = 1)
     * @method LicenseKey|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method LicenseKey|$this pop(int $count = 1)
     * @method LicenseKey|null pull($key, \Closure $default = null)
     * @method LicenseKey|null last(callable $callback = null, \Closure $default = null)
     * @method LicenseKey|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method LicenseKey|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method LicenseKey|null get($key, \Closure $default = null)
     * @method LicenseKey|null first(callable $callback = null, \Closure $default = null)
     * @method LicenseKey|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method LicenseKey|null find($key, $default = null)
     * @method LicenseKey[] all()
     */
    class _IH_LicenseKey_C extends _BaseCollection {
        /**
         * @param int $size
         * @return LicenseKey[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_LicenseKey_QB whereId($value)
     * @method _IH_LicenseKey_QB whereProductId($value)
     * @method _IH_LicenseKey_QB whereLicenseKey($value)
     * @method _IH_LicenseKey_QB whereOwnerName($value)
     * @method _IH_LicenseKey_QB whereOwnerEmail($value)
     * @method _IH_LicenseKey_QB whereActivationLimit($value)
     * @method _IH_LicenseKey_QB whereValidity($value)
     * @method _IH_LicenseKey_QB whereAssignedAt($value)
     * @method _IH_LicenseKey_QB whereStatus($value)
     * @method _IH_LicenseKey_QB whereCreatedAt($value)
     * @method _IH_LicenseKey_QB whereUpdatedAt($value)
     * @method LicenseKey baseSole(array|string $columns = ['*'])
     * @method LicenseKey create(array $attributes = [])
     * @method LicenseKey createOrFirst(array $attributes = [], array $values = [])
     * @method LicenseKey createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_LicenseKey_C|LicenseKey[] cursor()
     * @method LicenseKey|null|_IH_LicenseKey_C|LicenseKey[] find($id, array|string $columns = ['*'])
     * @method _IH_LicenseKey_C|LicenseKey[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method LicenseKey|_IH_LicenseKey_C|LicenseKey[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LicenseKey|_IH_LicenseKey_C|LicenseKey[] findOrFail($id, array|string $columns = ['*'])
     * @method LicenseKey|_IH_LicenseKey_C|LicenseKey[] findOrNew($id, array|string $columns = ['*'])
     * @method LicenseKey first(array|string $columns = ['*'])
     * @method LicenseKey firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method LicenseKey firstOrCreate(array $attributes = [], array $values = [])
     * @method LicenseKey firstOrFail(array|string $columns = ['*'])
     * @method LicenseKey firstOrNew(array $attributes = [], array $values = [])
     * @method LicenseKey firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method LicenseKey forceCreate(array $attributes)
     * @method LicenseKey forceCreateQuietly(array $attributes = [])
     * @method _IH_LicenseKey_C|LicenseKey[] fromQuery(string $query, array $bindings = [])
     * @method _IH_LicenseKey_C|LicenseKey[] get(array|string $columns = ['*'])
     * @method LicenseKey getModel()
     * @method LicenseKey[] getModels(array|string $columns = ['*'])
     * @method _IH_LicenseKey_C|LicenseKey[] hydrate(array $items)
     * @method _IH_LicenseKey_C|LicenseKey[] lazy(int $chunkSize = 1000)
     * @method _IH_LicenseKey_C|LicenseKey[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_LicenseKey_C|LicenseKey[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method LicenseKey make(array $attributes = [])
     * @method LicenseKey newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|LicenseKey[]|_IH_LicenseKey_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LicenseKey restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|LicenseKey[]|_IH_LicenseKey_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method LicenseKey sole(array|string $columns = ['*'])
     * @method LicenseKey updateOrCreate(array $attributes, array $values = [])
     * @method _IH_LicenseKey_QB exclude($columns)
     */
    class _IH_LicenseKey_QB extends _BaseBuilder {}
    
    /**
     * @method Log|null getOrPut($key, \Closure $value)
     * @method Log|$this shift(int $count = 1)
     * @method Log|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Log|$this pop(int $count = 1)
     * @method Log|null pull($key, \Closure $default = null)
     * @method Log|null last(callable $callback = null, \Closure $default = null)
     * @method Log|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Log|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Log|null get($key, \Closure $default = null)
     * @method Log|null first(callable $callback = null, \Closure $default = null)
     * @method Log|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Log|null find($key, $default = null)
     * @method Log[] all()
     */
    class _IH_Log_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Log[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Log_QB whereId($value)
     * @method _IH_Log_QB whereAction($value)
     * @method _IH_Log_QB whereGroup($value)
     * @method _IH_Log_QB whereIdentifier($value)
     * @method _IH_Log_QB whereInternalDescription($value)
     * @method _IH_Log_QB whereData($value)
     * @method _IH_Log_QB whereIpAddress($value)
     * @method _IH_Log_QB whereCreatedAt($value)
     * @method _IH_Log_QB whereUpdatedAt($value)
     * @method Log baseSole(array|string $columns = ['*'])
     * @method Log create(array $attributes = [])
     * @method Log createOrFirst(array $attributes = [], array $values = [])
     * @method Log createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Log_C|Log[] cursor()
     * @method Log|null|_IH_Log_C|Log[] find($id, array|string $columns = ['*'])
     * @method _IH_Log_C|Log[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Log|_IH_Log_C|Log[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Log|_IH_Log_C|Log[] findOrFail($id, array|string $columns = ['*'])
     * @method Log|_IH_Log_C|Log[] findOrNew($id, array|string $columns = ['*'])
     * @method Log first(array|string $columns = ['*'])
     * @method Log firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Log firstOrCreate(array $attributes = [], array $values = [])
     * @method Log firstOrFail(array|string $columns = ['*'])
     * @method Log firstOrNew(array $attributes = [], array $values = [])
     * @method Log firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Log forceCreate(array $attributes)
     * @method Log forceCreateQuietly(array $attributes = [])
     * @method _IH_Log_C|Log[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Log_C|Log[] get(array|string $columns = ['*'])
     * @method Log getModel()
     * @method Log[] getModels(array|string $columns = ['*'])
     * @method _IH_Log_C|Log[] hydrate(array $items)
     * @method _IH_Log_C|Log[] lazy(int $chunkSize = 1000)
     * @method _IH_Log_C|Log[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Log_C|Log[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Log make(array $attributes = [])
     * @method Log newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Log[]|_IH_Log_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Log restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Log[]|_IH_Log_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Log sole(array|string $columns = ['*'])
     * @method Log updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Log_QB extends _BaseBuilder {}
    
    /**
     * @method Meta|null getOrPut($key, \Closure $value)
     * @method Meta|$this shift(int $count = 1)
     * @method Meta|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Meta|$this pop(int $count = 1)
     * @method Meta|null pull($key, \Closure $default = null)
     * @method Meta|null last(callable $callback = null, \Closure $default = null)
     * @method Meta|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Meta|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Meta|null get($key, \Closure $default = null)
     * @method Meta|null first(callable $callback = null, \Closure $default = null)
     * @method Meta|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Meta|null find($key, $default = null)
     * @method Meta[] all()
     */
    class _IH_Meta_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Meta[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Meta_QB whereId($value)
     * @method _IH_Meta_QB whereType($value)
     * @method _IH_Meta_QB whereItemId($value)
     * @method _IH_Meta_QB whereValue($value)
     * @method _IH_Meta_QB whereCreatedAt($value)
     * @method _IH_Meta_QB whereUpdatedAt($value)
     * @method Meta baseSole(array|string $columns = ['*'])
     * @method Meta create(array $attributes = [])
     * @method Meta createOrFirst(array $attributes = [], array $values = [])
     * @method Meta createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Meta_C|Meta[] cursor()
     * @method Meta|null|_IH_Meta_C|Meta[] find($id, array|string $columns = ['*'])
     * @method _IH_Meta_C|Meta[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Meta|_IH_Meta_C|Meta[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Meta|_IH_Meta_C|Meta[] findOrFail($id, array|string $columns = ['*'])
     * @method Meta|_IH_Meta_C|Meta[] findOrNew($id, array|string $columns = ['*'])
     * @method Meta first(array|string $columns = ['*'])
     * @method Meta firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Meta firstOrCreate(array $attributes = [], array $values = [])
     * @method Meta firstOrFail(array|string $columns = ['*'])
     * @method Meta firstOrNew(array $attributes = [], array $values = [])
     * @method Meta firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Meta forceCreate(array $attributes)
     * @method Meta forceCreateQuietly(array $attributes = [])
     * @method _IH_Meta_C|Meta[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Meta_C|Meta[] get(array|string $columns = ['*'])
     * @method Meta getModel()
     * @method Meta[] getModels(array|string $columns = ['*'])
     * @method _IH_Meta_C|Meta[] hydrate(array $items)
     * @method _IH_Meta_C|Meta[] lazy(int $chunkSize = 1000)
     * @method _IH_Meta_C|Meta[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Meta_C|Meta[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Meta make(array $attributes = [])
     * @method Meta newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Meta[]|_IH_Meta_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Meta restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Meta[]|_IH_Meta_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Meta sole(array|string $columns = ['*'])
     * @method Meta updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Meta_QB extends _BaseBuilder {}
    
    /**
     * @method Product|null getOrPut($key, \Closure $value)
     * @method Product|$this shift(int $count = 1)
     * @method Product|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Product|$this pop(int $count = 1)
     * @method Product|null pull($key, \Closure $default = null)
     * @method Product|null last(callable $callback = null, \Closure $default = null)
     * @method Product|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Product|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Product|null get($key, \Closure $default = null)
     * @method Product|null first(callable $callback = null, \Closure $default = null)
     * @method Product|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Product|null find($key, $default = null)
     * @method Product[] all()
     */
    class _IH_Product_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Product[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Product_QB whereId($value)
     * @method _IH_Product_QB whereExternalReference($value)
     * @method _IH_Product_QB whereSource($value)
     * @method _IH_Product_QB whereName($value)
     * @method _IH_Product_QB wherePostUrl($value)
     * @method _IH_Product_QB whereDescription($value)
     * @method _IH_Product_QB whereStatus($value)
     * @method _IH_Product_QB whereRequireNonExpired($value)
     * @method _IH_Product_QB whereAlgorithm($value)
     * @method _IH_Product_QB wherePassphrase($value)
     * @method _IH_Product_QB wherePrivateKey($value)
     * @method _IH_Product_QB whereCreatedAt($value)
     * @method _IH_Product_QB whereUpdatedAt($value)
     * @method Product baseSole(array|string $columns = ['*'])
     * @method Product create(array $attributes = [])
     * @method Product createOrFirst(array $attributes = [], array $values = [])
     * @method Product createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Product_C|Product[] cursor()
     * @method Product|null|_IH_Product_C|Product[] find($id, array|string $columns = ['*'])
     * @method _IH_Product_C|Product[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Product|_IH_Product_C|Product[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Product|_IH_Product_C|Product[] findOrFail($id, array|string $columns = ['*'])
     * @method Product|_IH_Product_C|Product[] findOrNew($id, array|string $columns = ['*'])
     * @method Product first(array|string $columns = ['*'])
     * @method Product firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Product firstOrCreate(array $attributes = [], array $values = [])
     * @method Product firstOrFail(array|string $columns = ['*'])
     * @method Product firstOrNew(array $attributes = [], array $values = [])
     * @method Product firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Product forceCreate(array $attributes)
     * @method Product forceCreateQuietly(array $attributes = [])
     * @method _IH_Product_C|Product[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Product_C|Product[] get(array|string $columns = ['*'])
     * @method Product getModel()
     * @method Product[] getModels(array|string $columns = ['*'])
     * @method _IH_Product_C|Product[] hydrate(array $items)
     * @method _IH_Product_C|Product[] lazy(int $chunkSize = 1000)
     * @method _IH_Product_C|Product[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Product_C|Product[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Product make(array $attributes = [])
     * @method Product newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Product[]|_IH_Product_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Product restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Product[]|_IH_Product_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Product sole(array|string $columns = ['*'])
     * @method Product updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Product_QB exclude($columns)
     */
    class _IH_Product_QB extends _BaseBuilder {}
    
    /**
     * @method Setting|null getOrPut($key, \Closure $value)
     * @method Setting|$this shift(int $count = 1)
     * @method Setting|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Setting|$this pop(int $count = 1)
     * @method Setting|null pull($key, \Closure $default = null)
     * @method Setting|null last(callable $callback = null, \Closure $default = null)
     * @method Setting|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Setting|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Setting|null get($key, \Closure $default = null)
     * @method Setting|null first(callable $callback = null, \Closure $default = null)
     * @method Setting|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Setting|null find($key, $default = null)
     * @method Setting[] all()
     */
    class _IH_Setting_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Setting[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Setting_QB whereId($value)
     * @method _IH_Setting_QB whereGroup($value)
     * @method _IH_Setting_QB whereName($value)
     * @method _IH_Setting_QB whereValue($value)
     * @method Setting baseSole(array|string $columns = ['*'])
     * @method Setting create(array $attributes = [])
     * @method Setting createOrFirst(array $attributes = [], array $values = [])
     * @method Setting createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Setting_C|Setting[] cursor()
     * @method Setting|null|_IH_Setting_C|Setting[] find($id, array|string $columns = ['*'])
     * @method _IH_Setting_C|Setting[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Setting|_IH_Setting_C|Setting[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Setting|_IH_Setting_C|Setting[] findOrFail($id, array|string $columns = ['*'])
     * @method Setting|_IH_Setting_C|Setting[] findOrNew($id, array|string $columns = ['*'])
     * @method Setting first(array|string $columns = ['*'])
     * @method Setting firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Setting firstOrCreate(array $attributes = [], array $values = [])
     * @method Setting firstOrFail(array|string $columns = ['*'])
     * @method Setting firstOrNew(array $attributes = [], array $values = [])
     * @method Setting firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Setting forceCreate(array $attributes)
     * @method Setting forceCreateQuietly(array $attributes = [])
     * @method _IH_Setting_C|Setting[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Setting_C|Setting[] get(array|string $columns = ['*'])
     * @method Setting getModel()
     * @method Setting[] getModels(array|string $columns = ['*'])
     * @method _IH_Setting_C|Setting[] hydrate(array $items)
     * @method _IH_Setting_C|Setting[] lazy(int $chunkSize = 1000)
     * @method _IH_Setting_C|Setting[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Setting_C|Setting[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Setting make(array $attributes = [])
     * @method Setting newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Setting[]|_IH_Setting_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Setting restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Setting[]|_IH_Setting_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Setting sole(array|string $columns = ['*'])
     * @method Setting updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Setting_QB extends _BaseBuilder {}
    
    /**
     * @method Telemetry|null getOrPut($key, \Closure $value)
     * @method Telemetry|$this shift(int $count = 1)
     * @method Telemetry|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Telemetry|$this pop(int $count = 1)
     * @method Telemetry|null pull($key, \Closure $default = null)
     * @method Telemetry|null last(callable $callback = null, \Closure $default = null)
     * @method Telemetry|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Telemetry|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Telemetry|null get($key, \Closure $default = null)
     * @method Telemetry|null first(callable $callback = null, \Closure $default = null)
     * @method Telemetry|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Telemetry|null find($key, $default = null)
     * @method Telemetry[] all()
     */
    class _IH_Telemetry_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Telemetry[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Telemetry_QB whereId($value)
     * @method _IH_Telemetry_QB whereUserIdentifier($value)
     * @method _IH_Telemetry_QB whereLicenseKey($value)
     * @method _IH_Telemetry_QB whereActivationIdentifier($value)
     * @method _IH_Telemetry_QB whereProductId($value)
     * @method _IH_Telemetry_QB whereProductVersion($value)
     * @method _IH_Telemetry_QB whereDataType($value)
     * @method _IH_Telemetry_QB whereDataGroup($value)
     * @method _IH_Telemetry_QB whereData($value)
     * @method _IH_Telemetry_QB whereIsCorrectFormat($value)
     * @method _IH_Telemetry_QB whereLicenseKeyExists($value)
     * @method _IH_Telemetry_QB whereProductExists($value)
     * @method _IH_Telemetry_QB whereProductVersionExists($value)
     * @method _IH_Telemetry_QB whereHasRedFlags($value)
     * @method _IH_Telemetry_QB whereCreatedAt($value)
     * @method _IH_Telemetry_QB whereUpdatedAt($value)
     * @method Telemetry baseSole(array|string $columns = ['*'])
     * @method Telemetry create(array $attributes = [])
     * @method Telemetry createOrFirst(array $attributes = [], array $values = [])
     * @method Telemetry createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Telemetry_C|Telemetry[] cursor()
     * @method Telemetry|null|_IH_Telemetry_C|Telemetry[] find($id, array|string $columns = ['*'])
     * @method _IH_Telemetry_C|Telemetry[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Telemetry|_IH_Telemetry_C|Telemetry[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Telemetry|_IH_Telemetry_C|Telemetry[] findOrFail($id, array|string $columns = ['*'])
     * @method Telemetry|_IH_Telemetry_C|Telemetry[] findOrNew($id, array|string $columns = ['*'])
     * @method Telemetry first(array|string $columns = ['*'])
     * @method Telemetry firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Telemetry firstOrCreate(array $attributes = [], array $values = [])
     * @method Telemetry firstOrFail(array|string $columns = ['*'])
     * @method Telemetry firstOrNew(array $attributes = [], array $values = [])
     * @method Telemetry firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Telemetry forceCreate(array $attributes)
     * @method Telemetry forceCreateQuietly(array $attributes = [])
     * @method _IH_Telemetry_C|Telemetry[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Telemetry_C|Telemetry[] get(array|string $columns = ['*'])
     * @method Telemetry getModel()
     * @method Telemetry[] getModels(array|string $columns = ['*'])
     * @method _IH_Telemetry_C|Telemetry[] hydrate(array $items)
     * @method _IH_Telemetry_C|Telemetry[] lazy(int $chunkSize = 1000)
     * @method _IH_Telemetry_C|Telemetry[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Telemetry_C|Telemetry[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Telemetry make(array $attributes = [])
     * @method Telemetry newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Telemetry[]|_IH_Telemetry_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Telemetry restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Telemetry[]|_IH_Telemetry_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Telemetry sole(array|string $columns = ['*'])
     * @method Telemetry updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Telemetry_QB extends _BaseBuilder {}
    
    /**
     * @method User|null getOrPut($key, \Closure $value)
     * @method User|$this shift(int $count = 1)
     * @method User|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method User|$this pop(int $count = 1)
     * @method User|null pull($key, \Closure $default = null)
     * @method User|null last(callable $callback = null, \Closure $default = null)
     * @method User|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method User|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method User|null get($key, \Closure $default = null)
     * @method User|null first(callable $callback = null, \Closure $default = null)
     * @method User|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method User|null find($key, $default = null)
     * @method User[] all()
     */
    class _IH_User_C extends _BaseCollection {
        /**
         * @param int $size
         * @return User[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_User_QB whereId($value)
     * @method _IH_User_QB whereName($value)
     * @method _IH_User_QB whereEmail($value)
     * @method _IH_User_QB whereEmailVerifiedAt($value)
     * @method _IH_User_QB wherePassword($value)
     * @method _IH_User_QB whereRole($value)
     * @method _IH_User_QB whereIs2faEnabled($value)
     * @method _IH_User_QB whereTwoFactorSecret($value)
     * @method _IH_User_QB whereRememberToken($value)
     * @method _IH_User_QB whereCreatedAt($value)
     * @method _IH_User_QB whereUpdatedAt($value)
     * @method User baseSole(array|string $columns = ['*'])
     * @method User create(array $attributes = [])
     * @method User createOrFirst(array $attributes = [], array $values = [])
     * @method User createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_User_C|User[] cursor()
     * @method User|null|_IH_User_C|User[] find($id, array|string $columns = ['*'])
     * @method _IH_User_C|User[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method User|_IH_User_C|User[] findOrFail($id, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOrNew($id, array|string $columns = ['*'])
     * @method User first(array|string $columns = ['*'])
     * @method User firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method User firstOrCreate(array $attributes = [], array $values = [])
     * @method User firstOrFail(array|string $columns = ['*'])
     * @method User firstOrNew(array $attributes = [], array $values = [])
     * @method User firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method User forceCreate(array $attributes)
     * @method User forceCreateQuietly(array $attributes = [])
     * @method _IH_User_C|User[] fromQuery(string $query, array $bindings = [])
     * @method _IH_User_C|User[] get(array|string $columns = ['*'])
     * @method User getModel()
     * @method User[] getModels(array|string $columns = ['*'])
     * @method _IH_User_C|User[] hydrate(array $items)
     * @method _IH_User_C|User[] lazy(int $chunkSize = 1000)
     * @method _IH_User_C|User[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_User_C|User[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method User make(array $attributes = [])
     * @method User newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|User[]|_IH_User_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method User restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|User[]|_IH_User_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method User sole(array|string $columns = ['*'])
     * @method User updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_User_QB extends _BaseBuilder {}
}